WESNOTHD(6)

NOME
wesnothd - Daemon de rede multixogador de Battle for Wesnoth

SINOPSE
wesnothd [-dv] [-c ruta] [-p porto] [-t número] [-T número]
wesnothd -V

DESCRICIÓN
Administra partidas multixogador de Battle for Wesnoth. Consulte http://www.wesnoth.org/wiki/ServerAdministration para ver os comandos que acepta o servidor a través do cliente wesnoth (/query ...) ou do fifo.

OPCIÓNS

-c ruta, --config ruta
    dille a wesnothd onde atopar o ficheiro de configuración a usar. Consulte embaixo a sección CONFIGURACIÓN DO SERVIDOR para ver a sintaxe. Pódese recargar a configuración enviando SIGHUP ó proceso do servidor.

-d, --daemon
    executa wesnothd coma un daemon.

-h, --help
    diche que fan as opcións de liña de comandos.

--log-nivel=dominio1,dominio2,...
    establece o nivel de severidade dos dominios de log. Pode usarse all para referirse a calquera dominio de log. Niveis dispoñibles: error,warning, info, debug. Por defecto úsase o nivel error e o nivel info para o dominio server.

-p porto, --port porto
    asocia o servidor ó porto especificado. Se non se especifica un porto, hase usar o porto 15000.

-t número, --threads número
    define o número máximo de fíos efectivos en espera para a entrada/saída de rede a n (por defecto: 5, max: 30).

-T número, --max-threads número
    define o número máximo de fíos efectivos que se van crear. Se o define a 0 non terá limite (por defecto: 0).

-V, --version
    amosa o número de versión e sae.

-v, --verbose
    activa o rexistro da depuración.

CONFIGURACIÓN DO SERVIDOR

  A sintaxe xeral é:

[etiqueta]

    clave="valor"

    clave="valor,valor,..."

[/etiqueta]

  Claves globais:

ban_save_file
    Ruta completa ou relativa a un ficheiro (comprimido con gzip) que o servidor poida ler e escribir. As vedas hanse gardar neste ficheiro e leranse de novo cando se inicie o servidor.

connections_allowed
    O número de conexións permitidas dende o mesmo IP. 0 significa infinitas. (por defecto: 5)

disallow_names
    Nomes/alcumes que non acepta o servidor. Sopórtanse `*' e `?' coma comodíns para patróns. Consulte glob(7) para obter máis detalles. Os valores predeterminados (que se usan se non se especifica ningún outro) son: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    A ruta ó fifo polo que se poden enviar comandos ó servidor (igual có /query ... de wesnoth. Se non se especifica, por defecto toma a ruta especificada no tempo de compilación (por defecto: /var/run/socket/wesnothd/socket).

max_messages
    O número de mensaxes permitidas en messages_time_period. (por defecto: 4)

messages_time_period
    O periodo de tempo (en segundos) que se usa para detectar unha inundación de mensaxes. (por defecto: 10 segundos)

motd
    A mensaxe do día.

passwd
    O contrasinal que se usa para obter privilexios de administrador. Normalmente comeza por `admin '.

restart_command
    O comando que usa o servidor para iniciar un novo proceso do servidor a través do comando `restart'. (Só se pode usar a través do fifo.)

versions_accepted
    Unha lista separada por comas de cadeas de versión aceptadas polo servidor. Sopórtanse os comodíns de patróns `*' e `?'. (por defecto é a versión de wesnoth correspondente)
    Exemplo: versions_accepted="*" acepta calquera cadea de versión.

  Etiquetas globais:

[redirect] Unha etiqueta para especificar un servidor ó que redirixir certas versións do cliente.

    host
        O enderezo do servidor ó que se redirixe.

    port
        O porto ó que se conectar.

    version
        Unha lista separada por comas de versións a redirixir. Compórtase do mesmo xeito ca versions_accepted no referente ós comodíns de patróns.

[ban_time] Unha etiqueta para definir palabras clave axeitadas para duracións de tempos de veda temporais.

    name
        O nome que se usa para refirirse ó tempo de veda.

    time
        A definición de duración do tempo. O formato é: %d[%s[%d%s[...]]] onde %s é s (segundos), m (minutos), h (horas), D (días), M (meses) ou Y (anos) e %d é un número. Se non se proporciona un modificador de tempo suponse que é minutos (m). Exemplo: time="1D12h30m" é un tempo de veda de 1 día, 12 horas e 30 minutos.

[proxy] Unha etiqueta para dicirlle ó servidor que actúe coma un proxy e redirixa as solicitudes dos clientes conectados ó servidor especificado. Acepta as mesmas claves ca [redirect].

AUTOR
Escrito por David White <davidnwhite@verizon.net>. Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>. Esta páxina de manual escribiuna orixinalmente Cyril Bouthors <cyril@bouthors.org>.
Visite o sitio oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Isto é Software Libre; este software está licenciado baixo a GPL versión 2, tal e como foi publicada pola Free Software Foundation. Non existe NINGUNHA garantía; nin sequera para o SEU USO COMERCIAL ou ADECUACIÓN PARA UN PROPÓSITO PARTICULAR.

CONSULTE TAMÉN
wesnoth(6), wesnoth_editor(6)